/* Generated by GOB (v0.93.4)   (do not edit directly) */

#include <gtk/gtk.h>

#ifndef __GNOME_PILOT_CLIENT_H__
#define __GNOME_PILOT_CLIENT_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */



#include <gtk/gtkobject.h>
#include <libgnorba/gnorba.h>
#include <gpilotd/gnome-pilot.h>

enum GPilotdErrCode {
	GPILOTD_OK=0,
	GPILOTD_ERR_INVAL=-1,
	GPILOTD_ERR_NOT_CONNECTED=-2,
	GPILOTD_ERR_FAILED=-3,
	GPILOTD_ERR_INTERNAL=-4
};


/*
 * Type checking and casting macros
 */
#define GNOME_TYPE_PILOT_CLIENT	(gnome_pilot_client_get_type())
#define GNOME_PILOT_CLIENT(obj)	GTK_CHECK_CAST((obj), gnome_pilot_client_get_type(),GnomePilotClient)
#define GNOME_PILOT_CLIENT_CLASS(klass)	GTK_CHECK_CLASS_CAST((klass),gnome_pilot_client_get_type(),GnomePilotClientClass)
#define GNOME_IS_PILOT_CLIENT(obj)	GTK_CHECK_TYPE((obj),gnome_pilot_client_get_type ())


/*
 * Main object structure
 */
#ifndef __TYPEDEF_GNOME_PILOT_CLIENT__
#define __TYPEDEF_GNOME_PILOT_CLIENT__
typedef struct _GnomePilotClient GnomePilotClient;
#endif
struct _GnomePilotClient {
	GtkObject __parent__;
	/*< public >*/
	GNOME_Pilot_Daemon gpilotddaemon;
	GNOME_Pilot_Client gpilotdclient;
	CORBA_Environment ev;
	CORBA_char *client_id;
	CORBA_ORB orb;
};

/*
 * Class definition
 */
typedef struct _GnomePilotClientClass GnomePilotClientClass;
struct _GnomePilotClientClass {
	GtkObjectClass __parent__;
	/*signal*/void (* pilot_connect) (GnomePilotClient *self, const gchar *pilot_name, const GNOME_Pilot_PilotUser *userinfo);
	/*signal*/void (* pilot_disconnect) (GnomePilotClient *self, const gchar *pilot_name);
	/*signal*/void (* completed_request) (GnomePilotClient *self, const gchar *pilot_name, int request_id);
	/*signal*/void (* user_info) (GnomePilotClient *self, const gchar *device, const GNOME_Pilot_PilotUser *userinfo);
	/*signal*/void (* system_info) (GnomePilotClient *self, const gchar *device, const GNOME_Pilot_SysInfo *sysinfo);
	/*signal*/void (* start_conduit) (GnomePilotClient *self, const gchar *pilot_name, const gchar *conduit_name, const gchar *database);
	/*signal*/void (* end_conduit) (GnomePilotClient *self, const gchar *pilot_name, const gchar *conduit_name);
	/*signal*/void (* progress_conduit) (GnomePilotClient *self, const gchar *pilot_name, const gchar *conduit_name, guint current, guint total);
	/*signal*/void (* message_conduit) (GnomePilotClient *self, const gchar *pilot_name, const gchar *conduit_name, const gchar *message);
	/*signal*/void (* error_conduit) (GnomePilotClient *self, const gchar *pilot_name, const gchar *conduit_name, const gchar *message);
};


/*
 * Public methods
 */
guint	gnome_pilot_client_get_type	(void);
GnomePilotClient *	gnome_pilot_client_new	(void);
void 	gnome_pilot_client_destroy	(GnomePilotClient *self);
gint 	gnome_pilot_client_connect_to_daemon	(GnomePilotClient *self);
void 	gnome_pilot_client_pilot_connect	(GnomePilotClient *self,
					const gchar *pilot_name,
					const GNOME_Pilot_PilotUser *userinfo);
void 	gnome_pilot_client_pilot_disconnect	(GnomePilotClient *self,
					const gchar *pilot_name);
void 	gnome_pilot_client_completed_request	(GnomePilotClient *self,
					const gchar *pilot_name,
					int request_id);
void 	gnome_pilot_client_user_info	(GnomePilotClient *self,
					const gchar *device,
					const GNOME_Pilot_PilotUser *userinfo);
void 	gnome_pilot_client_system_info	(GnomePilotClient *self,
					const gchar *device,
					const GNOME_Pilot_SysInfo *sysinfo);
void 	gnome_pilot_client_start_conduit	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *conduit_name,
					const gchar *database);
void 	gnome_pilot_client_end_conduit	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *conduit_name);
void 	gnome_pilot_client_progress_conduit	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *conduit_name,
					guint current,
					guint total);
void 	gnome_pilot_client_message_conduit	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *conduit_name,
					const gchar *message);
void 	gnome_pilot_client_error_conduit	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *conduit_name,
					const gchar *message);
gint 	gnome_pilot_client_pause_daemon	(GnomePilotClient *self);
gint 	gnome_pilot_client_unpause_daemon	(GnomePilotClient *self);
gint 	gnome_pilot_client_restart_daemon	(GnomePilotClient *self);
gint 	gnome_pilot_client_monitor_on	(GnomePilotClient *self,
					const gchar *pilot_id);
gint 	gnome_pilot_client_monitor_on_all_pilots	(GnomePilotClient *self);
gint 	gnome_pilot_client_monitor_off	(GnomePilotClient *self,
					const gchar *pilot_id);
gint 	gnome_pilot_client_monitor_off_all_pilots	(GnomePilotClient *self);
gint 	gnome_pilot_client_notify_on	(GnomePilotClient *self,
					GNOME_Pilot_EventType type);
gint 	gnome_pilot_client_notify_off	(GnomePilotClient *self,
					GNOME_Pilot_EventType type);
gint 	gnome_pilot_client_restore	(GnomePilotClient *self,
					const gchar *pilot_id,
					const gchar *directory,
					GNOME_Pilot_Survival survival,
					gint timeout,
					gint *handle);
gint 	gnome_pilot_client_install_file	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *infile,
					GNOME_Pilot_Survival survival,
					gint timeout,
					gint *handle);
gint 	gnome_pilot_client_get_user_info	(GnomePilotClient *self,
					gchar *cradle_name,
					GNOME_Pilot_Survival survival,
					gint timeout,
					gint *handle);
gint 	gnome_pilot_client_set_user_info	(GnomePilotClient *self,
					gchar *cradle_name,
					GNOME_Pilot_PilotUser user,
					GNOME_Pilot_Survival survival,
					gboolean continue_sync,
					gint timeout,
					gint *handle);
gint 	gnome_pilot_client_get_system_info	(GnomePilotClient *self,
					gchar *cradle_name,
					GNOME_Pilot_Survival survival,
					gint timeout);
gint 	gnome_pilot_client_remove_request	(GnomePilotClient *self,
					gint handle);
gint 	gnome_pilot_client_conduit	(GnomePilotClient *self,
					const gchar *pilot_name,
					const gchar *conduit_name,
					GNOME_Pilot_ConduitOperation operation,
					GNOME_Pilot_Survival survival,
					gint timeout,
					gint *handle);
gint 	gnome_pilot_client_get_users	(GnomePilotClient *self,
					GList **output);
gint 	gnome_pilot_client_get_databases_from_cache	(GnomePilotClient *self,
					const gchar *pilot_name,
					GList **output);
gint 	gnome_pilot_client_get_cradles	(GnomePilotClient *self,
					GList **output);
gint 	gnome_pilot_client_get_pilots	(GnomePilotClient *self,
					GList **output);
gint 	gnome_pilot_client_get_pilot_ids	(GnomePilotClient *self,
					gint **output);
gint 	gnome_pilot_client_get_pilots_by_user_name	(GnomePilotClient *self,
					const gchar *name,
					GList **output);
gint 	gnome_pilot_client_get_pilots_by_user_login	(GnomePilotClient *self,
					const gchar *login,
					GList **output);
gint 	gnome_pilot_client_get_user_name_by_pilot_name	(GnomePilotClient *self,
					const gchar *pilot_name,
					gchar **output);
gint 	gnome_pilot_client_get_user_login_by_pilot_name	(GnomePilotClient *self,
					const gchar *pilot_name,
					gchar **output);
gint 	gnome_pilot_client_get_pilot_base_dir_by_name	(GnomePilotClient *self,
					const gchar *pilot_name,
					gchar **output);
gint 	gnome_pilot_client_get_pilot_base_dir_by_id	(GnomePilotClient *self,
					guint32 pilot_id,
					gchar **output);
gint 	gnome_pilot_client_get_pilot_id_by_name	(GnomePilotClient *self,
					const gchar *pilot_name,
					guint32 *output);
gint 	gnome_pilot_client_get_pilot_name_by_id	(GnomePilotClient *self,
					guint32 pilot_id,
					gchar **output);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
